Package Details: minecraft-overviewer-docs 0.14.87-1

Git Clone URL: https://aur.archlinux.org/minecraft-overviewer.git (read-only)
Package Base: minecraft-overviewer
Description: Render large resolution images of a Minecraft map with a web UI
Upstream URL: https://github.com/overviewer/Minecraft-Overviewer
Licenses: GPL3
Submitter: Buce
Maintainer: chungy
Last Packager: chungy
Votes: 10
Popularity: 0.000000
First Submitted: 2013-09-10 18:07
Last Updated: 2019-11-15 08:50

Latest Comments

fryfrog commented on 2019-11-15 21:08

Trying to run this after the Python 3.8 update and the update to this package, I'm getting this. Looking into it, but maybe someone else is too?

0 ✓ fryfrog@apollo ~ $ sudo -u http overviewer.py -c /etc/overviewer/minecraft.conf -p 16
2019-11-15 13:07:41 E Error parsing '/etc/overviewer/minecraft.conf'.
2019-11-15 13:07:41 E The traceback below will tell you which line triggered the error.

2019-11-15 13:07:41 E Partial traceback:
Traceback (most recent call last):
  File "/usr/lib/python3.8/site-packages/overviewer_core/config_parser.py", line 85, in parse
    exec(compile(settings_file_handle.read(), settings_file, 'exec'),
  File "/etc/overviewer/minecraft.conf", line 2, in <module>
    from cgi import escape
ImportError: cannot import name 'escape' from 'cgi' (/usr/lib/python3.8/cgi.py)

Edit: In my minecraft.conf I just changed changed cgi to html, resulting in from html import escape. :)

Buce commented on 2015-10-15 17:46

Great, thanks! I've transferred ownership of the -git package to you as well.

chungy commented on 2015-10-15 06:40

Wow, thanks. Yeah, I think the -git package would be good too. Usually makes things to stay in sync.

Buce commented on 2015-10-13 14:52

@chungy: I'm not sure putting the docs in a separate package is worth it, but regardless, I haven't used this package in a while so I've transferred ownership to you. Do whatever you wish with it. Let me know if you'd also like the -git package.

chungy commented on 2015-10-12 09:39

It's a bit pointless to have a dependency on git for building when you can use the release tarball. I would get rid of it. Actually, I came to this page specifically because I edited the PKGBUILD to avoid it. I also split the package so that -docs is built as well, and would appreciate if you look at and incorporate these changes: https://github.com/chungy/minecraft-overviewer

Buce commented on 2015-01-17 16:24

@ImNtReal: It's slightly easier to maintain this PKGBUILD and the -git one when the sources are similar. Is there a reason I should use the release tarball instead?

ImNtReal commented on 2015-01-17 02:56

Why are you using git on this version of the package, instead of just pulling down the release tarball?